$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.84.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.84.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '63D72335FA8BCFB83B9AFAF5E674546CE85D5ECB68CC411F4DF6E0E87BED94A1'
  checksumType = 'sha256'
  checksum64 = '63D72335FA8BCFB83B9AFAF5E674546CE85D5ECB68CC411F4DF6E0E87BED94A1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.84-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
